summaryrefslogtreecommitdiff
path: root/qubes-dwm-6.2/scripts/xdg_autostart
diff options
context:
space:
mode:
Diffstat (limited to 'qubes-dwm-6.2/scripts/xdg_autostart')
-rwxr-xr-xqubes-dwm-6.2/scripts/xdg_autostart11
1 files changed, 10 insertions, 1 deletions
diff --git a/qubes-dwm-6.2/scripts/xdg_autostart b/qubes-dwm-6.2/scripts/xdg_autostart
index 415cfa8..5eeca5a 100755
--- a/qubes-dwm-6.2/scripts/xdg_autostart
+++ b/qubes-dwm-6.2/scripts/xdg_autostart
@@ -1,6 +1,6 @@
#!/bin/bash
-xdg_autostart() {
+xdg_autostart_old() {
local config=$1
shopt -s nullglob
if [[ -d "$config/autostart" ]]; then
@@ -26,5 +26,14 @@ xdg_autostart() {
fi
}
+xdg_autostart() {
+ shopt -s nullglob
+ for file in $1/autostart/*.desktop; do
+ if ! grep -q "^OnlyShowIn" "$file"; then
+ $(grep "^Exec=" "$file" | cut -c 6-) &
+ fi;
+ done;
+}
+
xdg_autostart "${XDG_CONFIG_DIRS-/etc/xdg}"
xdg_autostart "${XDG_CONFIG_HOME-$HOME/.config}"